const Mesa = require('vendor/Mesa.js');
const Shopify = require('vendor/Shopify.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;
    let id = vars.loop.id;

    let response = Shopify.delete(`/admin/price_rules/${vars.loop.id}.json`);

    // We're done, call the next step!
    Mesa.output.next(response);
  }
}
